Jump to content
AnotherSteve

Multiple circle array

Recommended Posts

AnotherSteve

Hi,

 

I have a drawing with lots of circles (all different sizes). I need to shrink all the circles by .1mm.

 

I need an 'ugway' to help my autocad kung fu.

 

:)

Share this post


Link to post
Share on other sites
BIGAL

Here is a method

 

(defun c:test ( / ss x)
(setq ss (ssget  (list (cons 0 "Circle")) ))
(setq len (sslength ss))
(setq x -1)
(Repeat len (setq obj (vlax-ename->vla-object (ssname ss (setq x (+ x 1)))))
(setq dia (- (vla-get-diameter obj) 0.1))
(vla-put-diameter obj dia)
)
)

(c:test)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×